Subject: Re: [PATCH] config.mak.uname: use iconv from Homebrew on macOS

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Dec 2025 11:20:25 +0900

Carlo Marcelo Arenas Belón <[email-masked]> writes:

>> I am looking at relevant parts of Makefile
>> 
>> # Define NO_FINK if you are building on Darwin/Mac OS X, have Fink
>> # installed in /sw, but don't want GIT to link against any libraries
>> # installed there.  If defined you may specify your own (or Fink's)
>> # include directories and library directories by defining CFLAGS
>> # and LDFLAGS appropriately.
>> #
>> # Define NO_DARWIN_PORTS if you are building on Darwin/Mac OS X,
>> # have DarwinPorts installed in /opt/local, but don't want GIT to
>> # link against any libraries installed there.  If defined you may
>> # specify your own (or DarwinPort's) include directories and
>> # library directories by defining CFLAGS and LDFLAGS appropriately.
>> 
>> and notice that /opt/local/ is mentioned for DarwinPorts.  The patch
>> that started this thread talks about defaulting ICONVDIR to that of
>> Homebrew if available, but the new code checks /opt/homebrew and
>> then /usr/local/ (and let it override it).  Should the log message
>> be talking about DarwinPorts as well?
>> 
>>     As a workaround, set the default libiconv location to
>>     /opt/homebrew when the user has one from Homebrew, or
>>     to /opt/local when the user has one from MacPorts.
>> 
>> or something along the line?
>
> Since the original patch was only meant to help with Homebrew it
> might not be worth mentioning the OTHER package managers IMHO.

Meaing that the original patch should have included only
/opt/homebrew and we should drop the part about /opt/local?

Or do you mean Homebrew may use /opt/local instead of /opt/homebrew
and both parts of the original patch are needed to give coverage to
different Homebrew installations?

If the latter, perhaps we can say something in the proposed commit
log message to explain having both /opt/{homebrew,local}/ is
necessary (and why)?

>> By the way, for macOS newbies (like me), I wonder if a patch like
>> the attached may help?
>
> Did I read that correctly and you had found yourself forced into
> running macOS at least somewhere?

No, but I do look at CI output that includes macOS jobs every day.